/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLAppletElement_H__
#define __GdomHTMLAppletElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLAppletElement GdomHTMLAppletElement;
typedef struct _GdomHTMLAppletElementClass GdomHTMLAppletElementClass;


#define GDOM_TYPE_HTML_APPLET_ELEMENT            (gdom_html_applet_element_get_type())
#define GDOM_HTML_APPLET_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_APPLET_ELEMENT, GdomHTMLAppletElement))
#define GDOM_HTML_APPLET_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_APPLET_ELEMENT, GdomHTMLAppletElement)Class)
#define GDOM_IS_HTML_APPLET_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_APPLET_ELEMENT))
#define GDOM_IS_HTML_APPLET_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_APPLET_ELEMENT))
#define GDOM_HTML_APPLET_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_APPLET_ELEMENT, GdomHTMLAppletElementClass))

typedef struct _GdomHTMLAppletElementPrivate GdomHTMLAppletElementPrivate;

struct _GdomHTMLAppletElement {
    GdomHTMLElement parent_instance;
    GdomHTMLAppletElementPrivate *priv;
};

struct _GdomHTMLAppletElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_applet_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLAppletElement_H__ */
